diff options
author | Joey Hess <joey@kitenet.net> | 2012-12-12 12:02:54 -0400 |
---|---|---|
committer | Joey Hess <joey@kitenet.net> | 2012-12-12 12:02:54 -0400 |
commit | c013635f4bbd705218f58fcec2582a489c010637 (patch) | |
tree | 3da7b25745e1b35f23d81be030806d4b062ec031 /Makefile | |
parent | e1c5bbadba41ba0266a8ed1c8b6243581847871d (diff) |
put sbin directories in PATH when building standalone so lsof is found
This ensures that the standalone builds will include lsof, and it'll then
be in the runshell PATH, so will work.
This does not deal with manual builds where lsof is not in path, which
will fail at runtime due to the program being missing.
Diffstat (limited to 'Makefile')
-rw-r--r-- | Makefile | 4 |
1 files changed, 2 insertions, 2 deletions
@@ -162,7 +162,7 @@ linuxstandalone: set -e; \ for bin in $(THIRDPARTY_BINS); do \ - p="$$(which "$$bin")"; \ + p="$$(PATH=$$PATH:/usr/sbin:/sbin:/usr/local/sbin which "$$bin")"; \ if [ -z "$$p" ]; then \ echo "** missing $$bin" >&2; \ exit 1; \ @@ -207,7 +207,7 @@ osxapp: cp $(OSXAPP_BASE)/LICENSE $(GIT_ANNEX_TMP_BUILD_DIR)/build-dmg/LICENSE.txt for bin in $(THIRDPARTY_BINS); do \ - p="$$(which "$$bin")"; \ + p="$$(PATH=$$PATH:/usr/sbin:/sbin:/usr/local/sbin which "$$bin")"; \ if [ -z "$$p" ]; then \ echo "** missing $$bin" >&2; \ exit 1; \ |